package com.muyu.marketing.domain.model;

import com.muyu.marketing.domain.req.ActivityTeamProductSkuReq;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;


@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ActivityTeamProductSkuReqModel {
    private Long id;
    private Long teamId;
    private Long productId;
    private String productSku;
    private Long teamStock;
    private Long remainStock;
    private BigDecimal teamPrice;
    public static ActivityTeamProductSkuReqModel activityTeamProductSkuReqModelBuild(ActivityTeamProductSkuReq activityTeamProductSkuReq){
        return ActivityTeamProductSkuReqModel.builder()
                .id(activityTeamProductSkuReq.getId())
                .productId(activityTeamProductSkuReq.getProductId())
                .teamId(activityTeamProductSkuReq.getTeamId())
                .productSku(activityTeamProductSkuReq.getProductSku())
                .remainStock(activityTeamProductSkuReq.getRemainStock())
                .teamStock(activityTeamProductSkuReq.getTeamStock())
                .teamPrice(activityTeamProductSkuReq.getTeamPrice())
                .build();
    }

}
